# Uses of Interface
javajs.api.GenericZipTools

Packages that use GenericZipTools
Package
Description
javajs.util
org.jmol.viewer

## Uses of GenericZipTools in javajs.util

Classes in javajs.util that implement GenericZipTools
Modifier and Type
Class
Description
`class`
`ZipTools`
Note the JSmol/HTML5 must use its own version of java.util.zip.ZipOutputStream.
Fields in javajs.util declared as GenericZipTools
Modifier and Type
Field
Description
`protected GenericZipTools`
CompoundDocument.`jzt`
Methods in javajs.util with parameters of type GenericZipTools
Modifier and Type
Method
Description
`void`
ZipData.`addTo(GenericZipTools jzt, SB data)`
`static BufferedInputStream`
Rdr.`getUnzippedInputStream(GenericZipTools jzt, BufferedInputStream bis)`
Drill down into a GZIP stack until no more layers.
`static BufferedInputStream`
Rdr.`getUnzippedInputStreamBZip2(GenericZipTools jzt, BufferedInputStream bis)`
`void`
CompoundDocument.`setDocStream(GenericZipTools jzt, BufferedInputStream bis)`

## Uses of GenericZipTools in org.jmol.viewer

Methods in org.jmol.viewer that return GenericZipTools
Modifier and Type
Method
Description
`GenericZipTools`
Viewer.`getJzt()`